package logs_test

import (
	"os"
	"testing"

	"gitlab.bob.co.za/bob-public-utils/bobgroup-go-utils/errors"
	"gitlab.bob.co.za/bob-public-utils/bobgroup-go-utils/logs"
)

func TestLogs(t *testing.T) {
	// requestID := t.Name()
	// event := events.APIGatewayProxyRequest{}
	os.Setenv("DEBUGGING", "true")
	// logs.InitLogs(&requestID, &event)

	// formatter := log.TextFormatter{}
	// log.SetFormatter(&formatter)

	logs.InfoWithFields(map[string]interface{}{"a": 1, "b": 2}, "MyLogMessage1")
	logs.Info("MyLogMessage2=%d,%d,%d", 1, 2, 3)
	logs.ErrorWithFields(errors.Errorf("simple mistake"), map[string]interface{}{"a": 4, "b": 5})
	logs.ErrorWithMsg(errors.Errorf("another simple mistake"), "Error Message")
	logs.Warn("Warning about a=%s,%s,%s", "a", "b", "c")
	logs.WarnWithFields(errors.Errorf("Cant believe it failed"), map[string]interface{}{"a": 4, "b": 5})
	logs.SQLDebugInfo("SELECT * from user")
	// logs.LogRequestInfo(event)
	// api_logs.LogSQSEvent(sqsEvent)

	// api_logs.Errorf("Debugging %d!", 456)
	// api_logs.Error("Info")
}

func TestSanitiseLogs(t *testing.T) {
	logString := "{\n \"emailVerificationStatus\": true,\n \"keyValueMetadata\": [],\n \"stepUp\": null,\n \"riskAdvice\": null\n}"
	logs.SanitiseLogs(logString)
}
